> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Draft List

> API to delete draft version of the list. Use this to discard test or interim versions before publishing the final list.



## OpenAPI

````yaml PATCH /v1/subscriber_list/{list_id}/version/{version_id}/delete
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/subscriber_list/{list_id}/version/{version_id}/delete:
    patch:
      summary: Delete Draft List
      description: >-
        API to delete draft version of the list. Use this to discard test or
        interim versions before publishing the final list.
      operationId: delete-draft-list
      parameters:
        - name: list_id
          in: path
          description: Unique string identifier of the list which you want to delete
          schema:
            type: string
          required: true
        - name: version_id
          in: path
          description: >-
            Unique identifier of the draft version of the list which needs to be
            deleted
          schema:
            type: string
            default: __version_id__
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
              schema:
                type: object
        '404':
          description: 404 - Not Found
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    error_code: not_found
                    type: NotFound
                    message: >-
                      version_id 01JR6PCW8H9K3H40XZV4A5R not found for list_id
                      _list_id_
                    detail: >-
                      version_id 01JR6PCW8H9K3H40XZV4A5R not found for list_id
                      _list_id_
              schema:
                type: object
                description: error code and related message
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````